Name:           jazzy
Version:        0.5.2
Release:        2%{?dist}
Summary:        Java-based spell checker

Group:          Applications/Text
License:        LGPLv2+
URL:            http://sourceforge.net/projects/jazzy
Source0:        http://downloads.sourceforge.net/project/jazzy/Jazzy/Jazzy-%{version}/jazzy-%{version}.src.zip
Patch0:         0001-No-hardcoded-class-paths.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  ant
BuildRequires:  unzip
BuildRequires:  jpackage-utils
Requires:       jpackage-utils

BuildArch:      noarch

%description
Jazzy is a pure Java library implementing a spell checking algorithm
similar to aspell. It may be used to spell check a variety of sources.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description javadoc
Java API Documentation for %{name}.


%prep
%setup -q -c
%patch0 -p1 -b .classpath
find -name '*.jar' -delete


%build
ant binary-release javadoc

# Get rid of CP/M line enxoding
for F in *.txt
do
        sed 's/\r//' <$F >temp
        touch -r $F temp
        mv temp $F
done


%install
rm -rf $RPM_BUILD_ROOT

# Code
install -d $RPM_BUILD_ROOT%{_javadir}/%{name}
find dist -name '*.jar' |while read F
do
        BASE=$(basename $F)
        VER=$(echo $BASE |sed 's/\.jar$/-%{version}.jar/')
        install -p -m644 $F $RPM_BUILD_ROOT%{_javadir}/%{name}/$VER
        ln -s $VER $RPM_BUILD_ROOT%{_javadir}/%{name}/$BASE
done

# Documentation
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_javadir}/%{name}
%doc CONTRIBUTORS.txt example2.txt LICENSE.txt README.txt


%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}


%changelog
* Mon Nov 30 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.5.2-2
- Add missing dash to jar file name (Alexander Kurtakov, #540653#c2)

* Mon Nov 23 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.5.2-1
- Initial packaging
